/// <reference types="react" />
interface ArrayModalItemHeaderProps {
    expanded: boolean;
    enableDetailedView: boolean;
    index: number;
    path: string;
    handleExpand: () => void;
    removeItem: (path: string, value: number) => () => void;
    duplicateItem: (index: number) => () => void;
    childLabel: string;
    childData: any;
    DNDHandle?: any;
    customPicker: {
        enabled: boolean;
        handler: (current?: object) => void;
    };
}
export default function ModalItemHeader({ expanded, enableDetailedView, index, path, handleExpand, removeItem, duplicateItem, childLabel, childData, DNDHandle, customPicker, }: ArrayModalItemHeaderProps): JSX.Element;
export {};
